Subject: Re: bug#53232: reopen 53232

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Jan 2022 19:37:31 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 17 Jan 2022 18:24:50 +0100
> Cc: Po Lu <[email-masked]>, [email-masked]
> 
> > That said, the sub-optimal behavior is real:
> >
> > * early-init.el:
> >
> >     (custom-set-variables
> >      '(default-frame-alist
> >        '((fullscreen . maximized)
> >          (background-color . "#000000")
> >          (foreground-color . "#ffffff")))
> >      '(inhibit-startup-screen t)
> >     )
> >
> > * init.el:
> >
> >     [EMPTY]
> 
> I'm unable to reproduce this with or without pgtk -- Emacs doesn't flash
> the default background colour on startup, as far as I can tell.  (This
> is on Debian/bookworm with Gnome Shell, if that matters.)

Isn't it true that to have the initial frame appear from the get-go
with some non-default attributes, one must change the X resources?  I
have a vague recollection that this was always like that, and was
never perceived as a problem.  How do you want Emacs to perform the
initialization without first creating a GUI frame, and how can it
create the first GUI frame except with the default attributes?